peopleAttributes=c(
    23, 2, 1, 2, 2, #1
    23, 2, 1, 2, 2, #2

    24, 1, 2, 1, 1, #3
    25, 1, 1, 2, 2, #4
    23, 1, 2, 1, 1, #5

    26, 1, 1, 2, 1, #6
    23, 2, 2, 2, 2, #7
    22, 1, 1, 2, 1, #8

    26, 1, 2, 2, 1, #9
    22, 1, 2, 2, 2, #10
    23, 1, 1, 2, 1, #11

    23, 2, 1, 2, 2, #12
    23, 1, 2, 2, 1, #13
    23, 1, 2, 2, 1, #14

    23, 1, 2, 2, 1, #15
    25, 1, 2, 2, 1) #16

# 2nd column eliminated
    

peopleId=c(
          1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1
          )

x=matrix(peopleAttributes,ncol=5,byrow=TRUE)

y=matrix(peopleId,ncol=16,byrow=TRUE)


adjust   = function(x,xmin,xmax) {(x-xmin)/(xmax-xmin)}

library(nnet)

# scaling (not necessary for y matrix)

x1min=min(x[,1])
x1max=max(x[,1])
x[,1]=adjust(x[,1],x1min,x1max)

x2min=min(x[,2])
x2max=max(x[,2])
x[,2]=adjust(x[,2],x2min,x2max)

x3min=min(x[,3])
x3max=max(x[,3])
x[,3]=adjust(x[,3],x3min,x3max)

x4min=min(x[,4])
x4max=max(x[,4])
x[,4]=adjust(x[,4],x4min,x4max)

x5min=min(x[,5])
x5max=max(x[,5])
x[,5]=adjust(x[,5],x5min,x5max)


#nnet
myNet=nnet(x=x, y=y, size=12, maxit=2000) #try other num. of hidden elements (here 12) 
# try to repeat, for an error close to 5.0 (or 4.0)

myNet
summary(myNet)
fit=myNet$fitted.values
formatC(fit, digits = 2, format = "f")

sum(myNet$residuals**2)

#on the fly using a function
calc = function (x1,x2,x3,x4,x5) {res=predict(myNet,c(adjust(x1,x1min,x1max),adjust(x2,x2min,x2max),
                     adjust(x3,x3min,x3max),adjust(x4,x4min,x4max),
                     adjust(x5,x5min,x5max)));res}
                     
calc(22,2,1,2,2) #case 1
calc(26,1,1,2,1) #case 6
calc(25,1,2,2,1) #case 16
